<%@ Page language="c#" Codebehind="ChooseImportType.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.ChooseImportType" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>

<ihawu:masterpage id="masterPage" runat="server">
	<custom:NewDialog id=ImportDialog runat="server" Watermark="images/water_import.gif" Caption="Choose Secret Type">
		<table>
			<tr>
				<td><asp:Literal runat="Server" id="ChooseImportTypeLiteral" Text="What type of Secret do you want to import?" /></td>
			</tr>
			<tr>
				<td><thycotic:dropdownlist id="drpSecretType" runat="server" />
					<thycotic:requiredfieldvalidator id="reqDrpSecretType" controltovalidate="drpSecretType" errormessage="Please select a Secret Type." initialvalue="0" runat="server" />
				</td>
			<tr>
			<tr>
				<td>
				<thycotic:button id="BackButton" text="Back" runat="server" causesvalidation="false" />&nbsp;
				<thycotic:button id="Continue" text="Continue" runat="server" />
				</td>
			</tr>
		</table>
	</custom:NewDialog>
</ihawu:masterpage>