<%@ Control Language="c#" AutoEventWireup="false" Codebehind="SecretGrid.ascx.cs" Inherits="Thycotic.ihawu.Web.usercontrols.SecretGrid" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu_web" tagname="SecretShareEditBulk" src="~/secretusercontrols/SecretShareEditBulk.ascx" %>	
	<thycotic:placeholder id="SearchResultsPlaceHolder" runat="server">
		<thycotic:datagrid id="SearchResultsDataGrid" runat="server" PageSize="15" DataKeyField="Id" itemsname="results matching your search">
			<columns>
				<asp:templatecolumn>
					<headertemplate>
						<p align="left"><thycotic:checkbox runat="server" id="AllCheckBox" onclick="SetAllCheckBoxes(this);" /></p>
					</headertemplate>
					<itemtemplate>
						<thycotic:checkbox runat="server" id="SecretCheckBox" />
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn sortexpression="SecretName" headertext="Name">
					<itemtemplate>
						<thycotic:hyperlink runat="server" id="SecretHyperlink">
							<thycotic:label id="NameLabel" runat="server" />
						</thycotic:hyperlink>
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn sortexpression="SecretTypeName" headertext="Type">
					<itemtemplate>
						<thycotic:label id="SecretTypeNameLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn sortexpression="FolderName" headertext="Folder">
					<itemtemplate>
						<thycotic:label id="FolderNameLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
				<asp:templatecolumn sortexpression="Created" headertext="Created">
					<itemtemplate>
						<thycotic:label id="CreatedLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
		</thycotic:datagrid>
		<table runat="server" Visible="False" id="BulkOperationTable" class="DataGrid" cellspacing="0" rules="all" border="1" style="border-collapse:collapse;">
		<tr>
			<td class="DataGridFooter">
				<thycotic:dropdownlist id="BulkDropDownList" AutoPostBack="true" runat="server" Visible="False" />
				<thycotic:dropdownlist id="BulkMoveToFolderDropDownList" AutoPostBack="true" Visible="False" runat="server" />
				<thycotic:businessvalidator id="DataGridValidator" runat="server" />
			</td>
		</tr>
		</table>
	</thycotic:placeholder>
	<thycotic:placeholder id="SecretShareEditBulkPlaceHolder" runat="server" Visible="False">
		<ihawu_web:SecretShareEditBulk id="SecretShareEditBulk1" runat="server" />
	</thycotic:placeholder>