IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbGroup'
			AND 
			C.Name='OrganizationId'
	)
	BEGIN
		ALTER TABLE [dbo].[tbGroup] 
			ADD	[OrganizationId] [int] NULL
	END
GO

UPDATE [dbo].[tbGroup]
	SET
		[OrganizationId] = 1
	WHERE 
		[OrganizationId] IS NULL
GO

ALTER TABLE [dbo].[tbGroup] 
	ALTER COLUMN [OrganizationId] [int] NOT NULL
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_tbGroup_Organization]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tbGroup] DROP CONSTRAINT FK_tbGroup_Organization
GO

ALTER TABLE [dbo].[tbGroup] ADD 
	CONSTRAINT [FK_tbGroup_Organization] FOREIGN KEY 
	(
		[OrganizationId]
	) REFERENCES [dbo].[tbOrganization] (
		[OrganizationId]
	)
GO
