<%@ Page language="c#" Codebehind="UserEdit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.UserEdit" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu_web" tagname="passwordstrength" src="~/secretusercontrols/PasswordStrength.ascx" %>
<%@ Register TagPrefix="ihawu_web" Namespace="Thycotic.ihawu.Web.secretusercontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<ihawu:masterpage id="masterPage" runat="server">
	<custom:newdialog id="UserDialog" Caption="Edit User" runat="server" visible="true">
		<table>
			<tr>
				<td><thycotic:fieldlabel id="UserNameFieldLabel" runat="server" Text="User Name" /></td>
				<td>&nbsp;</td>
				<td>
					<thycotic:label id="UserNameLabel" runat="server" />
					<thycotic:textbox id="UserNameTextBox" MaxLength="128" runat="server" />
				</td>
				<td></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="UserTypeFieldLabel" runat="server" text="User Type" /></td>
				<td>&nbsp;</td>
				<td><thycotic:dropdownlist id="UserTypeDropDownList" runat="server" /></td>
				<td></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="DisplayNameFieldLabel" runat="server" Text="Display Name" /></td>
				<td>&nbsp;</td>
				<td><thycotic:textbox MaxLength="128" id="DisplayNameTextBox" runat="server" /></td>
				<td></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="EmailAddressFieldLabel" runat="server" Text="Email Address" /></td>
				<td>&nbsp;</td>
				<td><thycotic:textbox MaxLength="128" id="EmailAddressTextBox" runat="server" />
				<thycotic:RegularExpressionValidator runat="server" ControlToValidate="EmailAddressTextBox" id="EmailAddressExpressionValidator" ErrorMessage="Please enter a valid E-Mail address." ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
				</td>
				<td></td>
			</tr>
			<tr runat="server" id="ActiveDirectoryTableRow">
				<td><thycotic:fieldlabel id="ActiveDirectoryLabel" runat="server" text="Domain" /></td>
				<td>&nbsp;</td>
				<td colspan="2">
					<thycotic:DropDownList id="DomainDropDownList" runat="server" AutoPostback = "true" />
					<thycotic:Label EncodeHtml="false" id="NoDomainsExistLabel" runat="server" Visible="False" />
				</td>
			</tr>
			<tr id="PasswordTableRow" runat="server">
				<td><thycotic:fieldlabel id="PasswordLabel" runat="server" Text="Password" /></td>
				<td>&nbsp;</td>
				<td>
					<thycotic:textbox id="PasswordTextBox" runat="server" textmode="password" />
					<ihawu_web:PasswordValidator runat="server" id="ChangePasswordValidator" ControlToValidate="PasswordTextBox" />
				</td>
				<td valign="middle" width="300"><ihawu_web:passwordstrength id="PasswordStrength1" runat="server" /></td>
			</tr>
			<tr id="ConfirmPasswordTableRow" runat="server">
				<td><thycotic:fieldlabel id="ConfirmLabel" runat="server" Text="Confirm" /></td>
				<td>&nbsp;</td>
				<td><thycotic:textbox id="ConfirmTextBox" runat="server" textmode="password" /></td>
				<td></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="TwoFactorFieldLabel" runat="server" Text="Two Factor" /></td>
				<td>&nbsp;</td>
				<td><thycotic:checkbox id="TwoFactorCheckBox" runat="server" /></td>
				<td></td>
			</tr>
			<tr>
				<td><thycotic:fieldlabel id="EnabledLabel" runat="server" Text="Enabled" /></td>
				<td>&nbsp;</td>
				<td><thycotic:checkbox id="EnabledCheckBox" runat="server" /></td>
				<td></td>
			</tr>
			<tr>
				<td colSpan="4">
					<br />
					<thycotic:button id="SaveButton" runat="server" text="Save" />
					<thycotic:button id="CancelButton" runat="server" text="Cancel" />
				</td>
			</tr>
		</table>
		<thycotic:businessvalidator id="BusinessValidator1" runat="server" />
		
		<script language="javascript">
		addOnLoad(function() { var textbox = document.getElementById("UserNameTextBox"); if (textbox != null) textbox.focus(); });
		</script>
	</custom:newdialog>
</ihawu:masterpage>
